# Auto Radio Manager

A Rust plugin that automatically manages boomboxes in your server by setting default radio stream URLs, turning on radios when deployed/spawned, restarting radios periodically, and turning on all radios after server restarts.

## Features

- Sets a default radio stream URL for all boomboxes
- Automatically turns on radios when deployed/spawned
- Restarts radios periodically to prevent connection issues
- Turns on all radios after server restarts
- Separate control for deployed, handheld and static (monument) boomboxes
- Support for adding multiple radio stations to the server

## Configuration

```json
{
  "Radio Stream URL": "https://radio.goodmorningbitcoin.com/listen/goodmorningbitcoin/radio.mp3",
  "Additional Radio Stations (name,url format)": {
    "Good Morning Bitcoin": "https://radio.goodmorningbitcoin.com/listen/goodmorningbitcoin/radio.mp3"
  },
  "Enable for deployed boomboxes": false,
  "Enable for handheld boomboxes": true,
  "Enable for static/monument boomboxes": true,
  "Auto-restart interval (minutes)": 60,
  "Enable auto-restart": true,
  "Turn on radios after server restart": true
}
```